#
# spec file for package tunesviewer 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           tunesviewer
Version:	1.4
Release:	3.5
License:	Apache-2.0
Summary:	Easy podcast access in Linux
Url:		http://sourceforge.net/projects/tunesviewer
Group:		Productivity/Networking/Web/Frontends
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	python-gtk-devel
BuildRequires:	python-notify-devel
BuildRequires:	python-devel
BuildRequires:	python-webkitgtk-devel
BuildRequires:	python-lxml
BuildRequires:	rsvg-view
BuildRequires:	update-desktop-files
Requires:	python-webkitgtk
Requires:	python-notify
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
TunesViewer is a small, easy to use program to access iTunes-university media and podcasts in Linux

%prep
%setup -q

%build

%install
%{__mkdir} -pv %{buildroot}%{_datadir}/%{name}/
%{__mkdir} -pv %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
%{__mkdir} -pv %{buildroot}%{_datadir}/applications/
%{__mkdir} -pv %{buildroot}%{_bindir}

%{__cp} -r src/* %{buildroot}%{_datadir}/%{name}/
%{__cp} -r resources/tunesview.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{__cp} -r resources/TunesViewer.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
ln -sf %{_datadir}/%{name}/TunesViewer.py %{buildroot}%{_bindir}/%{name}

#fix icon
pushd resources
mv tunesview.svg %{name}.svg
ICONSIZE="16 22 24 32 48 64 128 256"
for i in $ICONSIZE; do
	rsvg-convert -h $i -w $i %{name}.svg -o %{name}.png
	mkdir -pv ${i}x${i}/apps/
	mv %{name}.png ${i}x${i}/apps/
	cp -r ${i}x${i} %{buildroot}%{_datadir}/icons/hicolor/
done
popd

#fix icon-not-installed
sed -i "5d" %{buildroot}%{_datadir}/applications/%{name}.desktop
echo "Icon=tunesviewer" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

#fix insufficient desktop definition
sed -i "6d" %{buildroot}%{_datadir}/applications/%{name}.desktop
echo "Categories=Utility;WebUtility;" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

%suse_update_desktop_file %{name} Utility WebUtility

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jan 27 2012 i@marguerite.su
- initial package 1.4
  * Fixed some broken upper page links, and broken ebook links in lower panel.
  * Minor display improvements, including zoom level save.
